## zope.i18nmessageid 8.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zopei18nmessageid.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zopei18nmessageid.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zopei18nmessageid"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zopei18nmessageid"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
Sphinx
sphinx_rtd_theme>1
docutils<0.19

## zope.i18nmessageid 3.5.3

=== debian/changelog ===
zope.i18nmessageid (3.5.3-2) unstable; urgency=low

  * Team upload.
  * Use debian/source/options to ignore changes in egg-info directory
    rather than debian/clean otherwise zcml and txt files are missing.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 08 Nov 2011 21:46:36 +0900

zope.i18nmessageid (3.5.3-1) unstable; urgency=low

  * Team upload.
  * Switch to dh_python2 (Closes: #617170):
    - debian/control: remove python-central and python-van.pydeb from
      Build-Depends.
    - debian/rules: replace pydeb and python-central with python2.
  * debian/control:
    - Add Homepage and Vcs-Browser fields.
    - Bump Standards-Version to 3.9.2, no changes needed.
  * debian/copyright: Update to latest dep5 spec.
  * Switch to 3.0 (quilt) source format.
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if built
    twice.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 18 Oct 2011 18:37:01 +0300

zope.i18nmessageid (3.5.3-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Don't include C source in the package.
  * debian/copyright: convert to dep5 format.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 26 Aug 2010 19:03:03 +0300

zope.i18nmessageid (3.5.0-4) unstable; urgency=low

  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 05 Jan 2010 21:40:31 +0100

zope.i18nmessageid (3.5.0-3) unstable; urgency=low

  * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
    (Closes: #552933)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:24:25 +0100

zope.i18nmessageid (3.5.0-2) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.
  * Don't include C source in the package.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2009 10:01:41 +0200

zope.i18nmessageid (3.5.0-1) unstable; urgency=low

  [ Matthias Klose ]
  * Conflict with zope3. Closes: #538179.
  * Bump standards version.

  [ Fabio Tranchitella ]
  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 10:58:38 +0200

zope.i18nmessageid (3.4.3-4) unstable; urgency=low

  * Remove debian specific changes to
    src/zope.i18nmessageid.egg-info/SOURCES.txt.
  * Add python-zope.testing as a test dependency as we use it as the test
    runner.

 -- Brian Sutherland <brian@vanguardistas.net>  Tue, 02 Jun 2009 14:03:09 +0200

zope.i18nmessageid (3.4.3-3) unstable; urgency=low

  * Add watch file
  * Change source package name
  * Standards-Version 3.8.1
  * Python-Version all
  * Build with the newer python-van.pydeb rather than python-
    vanguardistas.pydebdep

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 25 May 2009 22:34:21 +0200

python-zope.i18nmessageid (3.4.3-2ubuntu1.2) lenny; urgency=low

  * Non-maintainer upload.
  * Rebuild for lenny

 -- Brian Sutherland <brian@vanguardistas.net>  Fri, 08 May 2009 11:16:38 +0000

python-zope.i18nmessageid (3.4.3-2ubuntu1.1) etch-devel; urgency=low

  * Non-maintainer upload.
  * Rebuild for etch-devel

 -- Brian Sutherland <brian@vanguardistas.net>  Wed, 23 Jul 2008 09:42:13 +0200

python-zope.i18nmessageid (3.4.3-2ubuntu1) hardy; urgency=low

  * Re-build for hardy

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Wed, 23 Apr 2008 11:19:12 +0300

python-zope.i18nmessageid (3.4.3-2) gutsy; urgency=low

  * Architecture: all
  * use pydebdep

 -- Brian Sutherland <brian@vanguardistas.net>  Tue, 12 Feb 2008 22:45:09 +0100

python-zope.i18nmessageid (3.4.3-1) gutsy; urgency=low

  * Inital Release

 -- Brian Sutherland <brian@vanguardistas.net>  Thu,  8 Nov 2007 19:27:48 +0100

=== debian/control ===
Source: zope.i18nmessageid
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>, Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://pypi.python.org/pypi/zope.i18nmessageid
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.i18nmessageid/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.i18nmessageid/trunk

Package: python-zope.i18nmessageid
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Message Identifiers for internationalization
 This package provides facilities for delaring translatable messages ids
 within program source text;  translation of the messages is the
 responsibility of the zope.i18n package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

package=python-zope.i18nmessageid

override_dh_install:
	dh_install
	find debian/$(package) -name '*.c' -delete

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.i18nmessageid/zope.i18nmessageid-(.*)\.tar\.gz

## zope.i18nmessageid 4.0.3

=== debian/changelog ===
zope.i18nmessageid (4.0.3-2build4) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:58:44 +1200

zope.i18nmessageid (4.0.3-2build3) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:56:41 +1200

zope.i18nmessageid (4.0.3-2build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:43:52 +0000

zope.i18nmessageid (4.0.3-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:24:38 +0000

zope.i18nmessageid (4.0.3-2) unstable; urgency=medium

  * d/control: Bump Standards-Version with no other changes necessary.
  * d/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Wed, 10 Jun 2015 10:17:38 -0400

zope.i18nmessageid (4.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control:
    - Update Build-Depends.
    - Added myself to Uploaders.
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Added X-Python3-Version header.
    - Added python3-zope.i18nmessageid binary package.
    - Tweaked long descriptions.
    - Added XS-Testsuite header.  Closes: #692699
    - wrap-and-sort
  * d/rules: Switched to --buildsystem=pybuild and added dh_python3.
  * d/compat: Bumped to version 9.
  * d/copyright:
    - Added Files-Excluded header to prune pre-built Sphinx artifacts in
      docs/_build from the original tarball.
    - Fixed Format header.
  * d/tests:
    - control: Added all-3 test and simplified Depends.
    - all{,-3}: Just prove a simple import works.

 -- Barry Warsaw <barry@debian.org>  Mon, 23 Jun 2014 10:36:28 -0400

=== debian/control ===
Source: zope.i18nmessageid
Section: zope
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python3-all-dev,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Homepage: http://pypi.python.org/pypi/zope.i18nmessageid
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.i18nmessageid/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.i18nmessageid/trunk
XS-Testsuite: autopkgtest

Package: python-zope.i18nmessageid
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Message Identifiers for internationalization
 This package provides facilities for declaring translatable messages ids
 within program source text;  translation of the messages is the
 responsibility of the zope.i18n package.
 .
 This is the Python 2 version.

Package: python3-zope.i18nmessageid
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Message Identifiers for internationalization
 This package provides facilities for declaring translatable messages ids
 within program source text;  translation of the messages is the
 responsibility of the zope.i18n package.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.i18nmessageid

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_install:
	dh_install
	find debian/python-zope.i18nmessageid -name '*.c' -delete
	find debian/python3-zope.i18nmessageid -name '*.c' -delete

## zope.i18nmessageid 4.3.1

=== debian/changelog ===
zope.i18nmessageid (4.3.1-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869475.
  * New upstream version.
  * Stop building the Python2 package. Closes: #938908.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 08:29:09 +0200

=== debian/control ===
Source: zope.i18nmessageid
Section: zope
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all-dev,
               python3-setuptools
Standards-Version: 4.4.0
Homepage: http://pypi.python.org/pypi/zope.i18nmessageid
XS-Testsuite: autopkgtest

Package: python3-zope.i18nmessageid
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Message Identifiers for internationalization
 This package provides facilities for declaring translatable messages ids
 within program source text;  translation of the messages is the
 responsibility of the zope.i18n package.
 .
 This is the Python 3 version.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.i18nmessageid/zope.i18nmessageid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.i18nmessageid 5.0.0

=== debian/changelog ===
zope.i18nmessageid (5.0.0-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:26:58 +0100

zope.i18nmessageid (5.0.0-2) unstable; urgency=medium

  * QA upload.
  * Remove the Python2 autopkg test.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Nov 2019 16:47:08 +0100

zope.i18nmessageid (5.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Nov 2019 05:25:10 +0100

zope.i18nmessageid (4.3.1-2) unstable; urgency=medium

  * QA upload.
  * Build-depend on python3-six.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Nov 2019 05:15:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all-dev,
-               python3-setuptools
-Standards-Version: 4.4.0
+               python3-setuptools,
+               python3-six
+Standards-Version: 4.4.1
 Homepage: http://pypi.python.org/pypi/zope.i18nmessageid
 XS-Testsuite: autopkgtest

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.i18nmessageid

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_install:
	dh_install
	find debian/python3-zope.i18nmessageid -name '*.c' -delete

## zope.i18nmessageid 5.0.1

=== debian/changelog ===
zope.i18nmessageid (5.0.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. closes: #959636
  * d/control
    - Use debhelper-compat
    - Bump to debhelper 13
    - Update Standards-Version to 4.5.0
    - Add build-dependencies for testing
    - Change Priority to optional
    - Use secure URI for homepage
    - Add Rules-Requires-Root: no
    - Change to Testsuite: autopkgtest-pkg-python and remove
      obsolete d/tests
  * Add hardening options in d/rules
  * Use secure URI in d/watch
  * d/copyright
    - Remove Files-Excluded, no longer needed.
    - Use secure URI
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository and
    Repository-Browse.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 16 May 2020 07:08:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: zope.i18nmessageid
 Section: zope
-Priority: extra
+Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools,
-               python3-six
-Standards-Version: 4.4.1
-Homepage: http://pypi.python.org/pypi/zope.i18nmessageid
-XS-Testsuite: autopkgtest
+               python3-six,
+               python3-zope.testrunner,
+               python3-coverage
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://pypi.python.org/pypi/zope.i18nmessageid
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-zope.i18nmessageid
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=zope.i18nmessageid
+
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## zope.i18nmessageid 6.1.0

=== debian/changelog ===
zope.i18nmessageid (6.1.0-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:54:40 +0000

zope.i18nmessageid (6.1.0-2) unstable; urgency=medium

  * Team Upload
  * transfer package to Debian Python Team
  * switch watch file to v4
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Jan 2024 20:17:43 +0100

zope.i18nmessageid (6.1.0-1) unstable; urgency=low

  * adopt package (Closes: #948810)
  * New upstream version 6.1.0
  * drop dependency on six (Closes: #1052496)
  * add d/clean to fix "Fails to build source after successful build"
    (Closes: #1046707)
  * disable patch for now

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Nov 2023 19:29:53 +0100

zope.i18nmessageid (5.0.1-2) unstable; urgency=medium

  * QA upload.
  * Add patch to always build C module (Closes: #1022503)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 30 Oct 2022 16:34:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: zope.i18nmessageid
 Section: zope
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploader: Alexandre Detiste <tchet@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-setuptools,
-               python3-six,
                python3-zope.testrunner,
                python3-coverage
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://pypi.python.org/pypi/zope.i18nmessageid
 Testsuite: autopkgtest-pkg-python
+Vcs-Git: https://salsa.debian.org//python-team/zope.i18nmessageid.git
+Vcs-Browser: https://salsa.debian.org/python-team/zope.i18nmessageid
 
 Package: python3-zope.i18nmessageid
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=zope.i18nmessageid


%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	find debian/python3-zope.i18nmessageid -name '*.c' -delete

## zope.i18nmessageid 7.0

=== debian/changelog ===
zope.i18nmessageid (7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Sep 2024 06:19:53 -0700

zope.i18nmessageid (6.1.0-3) unstable; urgency=medium

  * Use pybuild-plugin-pyproject (closes: #1080145).
  * Run tests using zope.testrunner.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Homepage to https://github.com/zopefoundation/zope.i18nmessageid.
  * Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Sep 2024 20:39:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: zope
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploader: Alexandre Detiste <tchet@debian.org>
+Uploaders: Alexandre Detiste <tchet@debian.org>,
+           Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools,
                python3-zope.testrunner,
                python3-coverage
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: https://pypi.python.org/pypi/zope.i18nmessageid
-Testsuite: autopkgtest-pkg-python
-Vcs-Git: https://salsa.debian.org//python-team/zope.i18nmessageid.git
-Vcs-Browser: https://salsa.debian.org/python-team/zope.i18nmessageid
+Homepage: https://github.com/zopefoundation/zope.i18nmessageid
+Testsuite: autopkgtest-pkg-pybuild
+Vcs-Git: https://salsa.debian.org/python-team/packages/zope.i18nmessageid.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.i18nmessageid
 
 Package: python3-zope.i18nmessageid
 Architecture: any

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.i18nmessageid/zope.i18nmessageid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.i18nmessageid 8.0

=== debian/changelog ===
zope.i18nmessageid (8.0-1) unstable; urgency=medium

  * d/watch: Upgrade to v5.
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 12:40:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-zope.testrunner,
                python3-coverage
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/zopefoundation/zope.i18nmessageid
 Testsuite: autopkgtest-pkg-pybuild

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/zope.i18nmessageid/
Matching-Pattern: zope.i18nmessageid-@ANY_VERSION@@ARCHIVE_EXT@

## zope.i18nmessageid 8.1

=== debian/changelog ===
zope.i18nmessageid (8.1-1) unstable; urgency=medium

  * New upstream release:
    - Remove run-time dependency on `setuptools` (closes: #1084014).

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Nov 2025 20:24:21 +0000

## zope.i18nmessageid 8.2

=== debian/changelog ===
zope.i18nmessageid (8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Nov 2025 09:55:55 +0000
